Subject: [Isis-wg] smicng output for draft-ietf-isis-wg-mib-16.txt

From: [email-masked]
Date: Thu, 15 Jul 2004 20:30:00 -0400

Hi Jeff,

The following is the smicng MIB compiler output
for version 16 of the MIB.  smicng has the flags
specified by the mibtools
(see http://www.ops.ietf.org/mib-review-tools.html
for more details the flags).

Are these going to be fixed in the next version of
the MIB?

  thanks, 
   -Joan

>W: f(ISIS-MIB), (3118,13) Variable "isisSysLevelIndex" in notification
>"isisDatabaseOverload" is an index for a table
>E: f(ISIS-MIB), (3131,13) Variable "isisManAreaAddr" in notification
>"isisManualAddressDrops" has access of "not-accessible"
>W: f(ISIS-MIB), (3131,13) Variable "isisManAreaAddr" in notification
>"isisManualAddressDrops" is an index for a table
>W: f(ISIS-MIB), (3152,13) Variable "isisSysLevelIndex" in notification
>"isisCorruptedLSPDetected" is an index for a table
>W: f(ISIS-MIB), (3171,13) Variable "isisSysLevelIndex" in notification
>"isisAttemptToExceedMaxSequence" is an index for a table
>W: f(ISIS-MIB), (3190,13) Variable "isisSysLevelIndex" in notification
>"isisIDLenMismatch" is an index for a table
>W: f(ISIS-MIB), (3212,13) Variable "isisSysLevelIndex" in notification
>"isisMaxAreaAddressesMismatch" is an index for a table
>W: f(ISIS-MIB), (3234,13) Variable "isisSysLevelIndex" in notification
>"isisOwnLSPPurge" is an index for a table
>W: f(ISIS-MIB), (3251,13) Variable "isisSysLevelIndex" in notification
>"isisSequenceNumberSkip" is an index for a table
>W: f(ISIS-MIB), (3270,13) Variable "isisSysLevelIndex" in notification
>"isisAuthenticationTypeFailure" is an index for a table
>W: f(ISIS-MIB), (3290,13) Variable "isisSysLevelIndex" in notification
>"isisAuthenticationFailure" is an index for a table
>W: f(ISIS-MIB), (3309,13) Variable "isisSysLevelIndex" in notification
>"isisVersionSkew" is an index for a table
>W: f(ISIS-MIB), (3351,13) Variable "isisSysLevelIndex" in notification
>"isisRejectedAdjacency" is an index for a table
>W: f(ISIS-MIB), (3369,13) Variable "isisSysLevelIndex" in notification
>"isisLSPTooLargeToPropagate" is an index for a table
>W: f(ISIS-MIB), (3387,13) Variable "isisSysLevelIndex" in notification
>"isisOrigLSPBuffSizeMismatch" is an index for a table
>W: f(ISIS-MIB), (3411,13) Variable "isisSysLevelIndex" in notification
>"isisProtocolsSupportedMismatch" is an index for a table
>W: f(ISIS-MIB), (3436,13) Variable "isisSysLevelIndex" in notification
>"isisAdjacencyChange" is an index for a table
>W: f(ISIS-MIB), (3453,13) Variable "isisSysLevelIndex" in notification
>"isisLSPErrorDetected" is an index for a table
>
>*** 1 error and 17 warnings in parsing
>

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg

---

From: Jeff Parker <[email-masked]>
Date: Mon, 26 Jul 2004 15:19:11 -0400

Joan -
	Sorry, I have been out for a couple of weeks.  
	I believe this to be a problem with SMICNG, not with the MIB.

- jeff parker

---

From: [email-masked]
Date: Mon, 26 Jul 2004 21:42:59 -0400

Hi Jeff,

Thanks for your response.
I am fairly certain that there are issues
with the MIB because smiLint also gives
similar complaints.  

For example, indices should be not-accessible
and some of these are read-only.    

With regard to Notifications, the MIB review guidelines
http://www.ietf.org/internet-drafts/draft-ietf-ops-mib-review-guidelines-03.
txt

specify:
"RFC 2578 Section 8 specifies the rules for notification definitions.
   In particular:

   - Inaccessible objects MUST NOT appear in the OBJECTS clause."

which is one of the complaints from these compilers.

Slightly different topic:   what is the status of the MIB?   Has it
gone through working group last call(s) and/or MIB Doctor review?

  thanks, 
   -Joan

---

From: Jeff Parker <[email-masked]>
Date: Thu, 29 Jul 2004 10:01:22 -0400

Don -
	I can see why isisSysLevel might present a problem.  
	Why isn't CircIfIndex also a problem?  Is it just masked by
SysLevel?

- jeff parker
- axiowave networks
- As scarce as truth is, the supply has always been in excess of the demand
- Josh Billings

> -----Original Message-----
> From: Don Goodspeed [mailto:[email-masked]]
> Sent: Tuesday, July 27, 2004 1:34 PM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]
> Subject: [Isis-wg] RE: smicng output for draft-ietf-isis-wg-mib-16.txt
> 
> 
> 
> Jeff, Joan,
> 
> Joan is right and unfortunately, my MIB compilers tend to gloss over
> issues in NOTIFICATION-TYPE objects since they are more concerned
> with get-able and set-able objects.
> 
> What can be done is to create two new OBJECT-TYPE attributes
> under isisNotificationEntry.  Call them something like
> isisLevelIndex and isisAreaAddress and define them both as
> accessible-for-notify.  isisLevelIndex can have a SYNTAX of ISLevel
> and isisAreaAddress can have a SYNTAX of OSINSAddress.
> 
> I think that should take care of the compilation issues.
> 
> Cheers,
> Don
> ===================================
> Hi Jeff,
> 
> Join Excite! - http://www.excite.com
> The most personalized portal on the Web!
>